import { Cli } from './packages/cli-wrapper';
import { BindController, BindControllerImpl } from './modules/bind';

export const addCommands = (cli: Cli) => {
	const bindController: BindController = new BindControllerImpl();

	return cli
		.command({
			aliases: ['b'],
			command: 'bind',
			parameters: [],
			describe: 'Binds a collection of static Web assets into a book.',
			handler: bindController.bindBook,
			options: {
				'format': {
					alias: 'f',
					describe: 'The format of the output.',
					type: 'string',
				},
				'outputPath': {
					alias: 'o',
					describe: 'The destination of the output.',
					type: 'string',
				}
			},
		});
};
