import * as v from 'valibot';

export const inputSchema = v.object({}, v.unknown());

export type Input = v.Output<typeof inputSchema>;

export const BOOK_FILENAME = 'patchouli.book.json' as const;

export const BINDING_FILENAME = 'patchouli.binding.json' as const;

export const bindingFileBaseSchema = v.object({
	generatorType: v.string(),
	generatorConfigFilePath: v.optional(v.string()),
	generatorDistDirectory: v.string(),
	pageOrdering: v.array(v.string()), // allow blobs on page ordering
});

export const bookFileSchema = v.object({
	title: v.string(),
	publisher: v.optional(v.string()),
	isbn: v.optional(v.string()),
	id: v.optional(v.string()),
	creator: v.string(),
	contributors: v.optional(v.array(v.string())),
	description: v.optional(v.string()),
	subjects: v.optional(v.array(v.string())),
	rights: v.optional(v.string()),
});
