import * as v from 'valibot';
import {Input} from '../../common';

export const name = 'archive' as const;

const inputSchema = v.object({
	blob: v.blob(),
	type: v.string(),
});

interface ArchiveInput extends Input, v.Output<typeof inputSchema> {}

export class InvalidArchiveTypeError extends Error {}

const extractZip = () => {

};

const extractGzip = () => {

};

const extractTar = () => {

};

export const compileFromInput = async <T extends ArchiveInput = ArchiveInput>(input: T) => {
	switch (input.type) {
		// TODO get files from archive type
		case 'zip': {
			return extractZip();
		}
		case 'gzip': {
			return extractGzip();
		}
		case 'tar': {
			return extractTar();
		}
		default:
			break;
	}

	throw new InvalidArchiveTypeError('Input type is invalid');
};
