import { describe, it, expect } from 'vitest';
import { bindBook } from '../src';

describe.skip('core', () => {
  it('returns result', () => {
    expect(bindBook({ a: 1, b: 1 })).toEqual(2);
  });

	it('throws when given invalid argument types', () => {
		expect(() => bindBook({ a: '1' as unknown as number, b: 1 })).toThrow(TypeError);
	});

	it('throws when given out-of-range arguments', () => {
		expect(() => bindBook({ a: Infinity, b: 1 })).toThrow(RangeError);
	});
});
